* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

.auth-body {
  min-height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;

  padding: 20px;

  background:
    linear-gradient(rgba(0,0,0,0.85), rgba(0,0,0,0.92)),
    url("https://i.pinimg.com/736x/7c/4a/72/7c4a72d36620fb374836ed28d5969794.jpg")
    center/cover no-repeat;

  overflow: hidden;
}

/* CARD */

.auth-card {
  width: 100%;
  max-width: 470px;

  padding: 45px;

  border-radius: 28px;

  background: rgba(8, 8, 8, 0.72);

  border: 1px solid rgba(255,255,255,0.08);

  backdrop-filter: blur(18px);
  -webkit-backdrop-filter: blur(18px);

  box-shadow:
    0 0 40px rgba(0,0,0,0.5),
    inset 0 0 1px rgba(255,255,255,0.15);

  color: white;
}

/* TITULO */

.auth-card h1 {
  font-size: 38px;

  text-align: center;

  margin-bottom: 35px;

  font-weight: 700;

  letter-spacing: 2px;
}

/* INPUTS */

.auth-card input {
  width: 100%;

  margin-bottom: 18px;

  padding: 16px 18px;

  border-radius: 14px;

  border: 1px solid rgba(255,255,255,0.08);

  background: rgba(255,255,255,0.05);

  outline: none;

  color: white;

  font-size: 15px;

  transition: 0.25s;
}

.auth-card input:focus {
  border-color: #dad9d8;

  box-shadow: 0 0 12px rgba(245, 197, 66, 0.25);
}

.auth-card input::placeholder {
  color: rgba(255,255,255,0.45);
}

/* BOTÃO */

.auth-card button {
  width: 100%;

  padding: 16px;

  margin-top: 10px;

  border: none;

  border-radius: 16px;

  background: linear-gradient(90deg, #ffffff, #9c9999);

  color: #111;

  font-size: 16px;
  font-weight: 700;

  cursor: pointer;

  transition: 0.25s;
}

.auth-card button:hover {
  transform: translateY(-2px);

  box-shadow:
    0 10px 25px rgba(247, 207, 87, 0.25);
}

/* TEXTO */

.auth-card p {
  margin-top: 24px;

  text-align: center;

  color: rgba(255,255,255,0.55);
}

.auth-card a {
  color: #ffffff;

  text-decoration: none;

  font-weight: bold;
}

.auth-card a:hover {
  text-decoration: underline;
}

/* MOBILE */

@media (max-width: 500px) {
  .auth-card {
    padding: 30px 22px;
    border-radius: 22px;
  }

  .auth-card h1 {
    font-size: 30px;
  }
}

.url-preview {
  display: flex;
  align-items: center;
  gap: 8px;

  margin-top: -8px;
  margin-bottom: 18px;

  padding: 12px;

  border-radius: 12px;

  background: rgba(255,255,255,0.04);

  border: 1px solid rgba(255,255,255,0.06);
}

.domain {
  padding: 6px 10px;

  border-radius: 8px;

  background: rgba(255,255,255,0.08);

  color: rgba(255,255,255,0.7);

  font-size: 15px;
}

#preview-user {
  color: #fff;

  font-size: 14px;
  font-weight: 700;
}

.error-text{
  color: #ff4d4d;
  font-size: 14px;
  margin-bottom: 10px;
  text-align: center;
}
